
Redmine - Patch #894

Patch for #893

2008-03-19 18:56 - Rocco Stanzione

Status: Closed Start date: 2008-03-19

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

This fixes #893, wiki links not working in tables.  I considered monkey-patching redcloth, and I considered sending the patch to _why

for redcloth, but apparently that project is unmaintained, so maybe it's ok to touch redcloth.rb.  This patch uses a negative lookahead

to not split on a pipe that's followed by two consecutive close-brackets, the closing markup for a wiki link.  I tried matching both sides

(open and close brackets) but MRI's regexp engine doesn't support negative lookbehinds, and I think it's safe to assume there's no

other reason you'd have ]] in a table cell.

Associated revisions

Revision 1280 - 2008-03-21 18:39 - Jean-Philippe Lang

Wiki links:

fixes wiki links with pipe in table (closes #893, #870, #894)

prevent wiki link matching on multiple lines

History

#1 - 2008-03-19 18:59 - Rocco Stanzione

Also fixes #870

#2 - 2008-03-19 21:36 - Jean-Philippe Lang

Only wiki links with pipes do not work in tables, but simple wiki links (without pipes) work.

Example with simple wiki links:

Guide Cell

Cell RedmineInstall

This patch fixes links with pipes, but it breaks simple wiki links that do not use pipes.

#3 - 2008-03-19 21:57 - Jean-Philippe Lang

This seems to fix both:

row.split( /\|(?![^\[\|]*\]\])/ ).each do |cell|

#4 - 2008-03-19 21:58 - Jean-Philippe Lang

- File wiki_links_in_tables-1.diff added

New patch attached.

#5 - 2008-03-19 21:58 - Jean-Philippe Lang

- File deleted (wiki_links_in_tables-1.diff)

#6 - 2008-03-19 21:58 - Jean-Philippe Lang

- File wiki_links_in_tables-1.diff added

#7 - 2008-03-19 22:05 - Rocco Stanzione

Your fix looks pretty good.  Didn't occur to me to test with no-pipe wiki links.  Thanks!
#8 - 2008-03-20 18:18 - John Goerzen

Weird that it shows JP's patch as 54 bytes.  Looks like it was 540 bytes to me.  Is that a bug? :-)

#9 - 2008-03-20 18:48 - Rocco Stanzione

Rails bug!  number_to_human_size drops trailing 0's, and jplang's patch is 540 bytes.

#10 - 2008-03-20 18:54 - Rocco Stanzione

FWIW it's fixed in Rails in http://dev.rubyonrails.org/changeset/8774 and merged in the 2-0-stable branch.

#11 - 2008-03-21 19:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1280.

Files

wiki_links_in_tables.diff 505 Bytes 2008-03-19 Rocco Stanzione

wiki_links_in_tables-1.diff 540 Bytes 2008-03-19 Jean-Philippe Lang

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://dev.rubyonrails.org/changeset/8774
https://www.redmine.org/projects/redmine/repository/svn/revisions/1280
http://www.tcpdf.org

